Results 1 to 8 of 8

Thread: SA 4.1 Theme Error

    Thank you for reporting this bug. We will make it our priority to review this report.
  1. #1
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default SA 4.1 Theme Error

    Hi all,
    in SA, after add a new theme into project,
    build make an error: CMD packaged failed!

    Any ideas?
    Thanks,
    Luca






    Version: 4.1.2.188
    Channel: 4.1-stable
    Platform: 1.2.8.6 - darwin x64
    Renderer: 51.0.2704.106
    Cmd: 6.5.0.180
    Framework: Ext JS 6.2.x Modern

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Hi

    Could you please describe how you add new theme package please?

    thank you

  3. #3
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default

    Quote Originally Posted by petr.vecera View Post
    Hi

    Could you please describe how you add new theme package please?

    thank you

    Yes.

    1) Open SA
    2) New BLANK Modern Project
    3) Automatically Triton Theme appear on inspector
    4) Add Panel Component
    5) Save Project
    6) Error appear



  4. #4
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default

    Same error in SA 4.2.1:
    - without Panel Component
    - ExtJs 6.5 Modern



  5. #5
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Yeah it seems that something become broken on your computer. Please quit SA, remove folder extracted and start SA again.

    It should be located here:

    User data path - IMPORTANT: The path is still 4.0 even for SA 4.1 and 4.2

    Windows
    C:\Users\<user>\AppData\Local\Sencha\Sencha Architect 4.0

    Mac
    /Users/<user>/Library/Application Support/Sencha/Sencha Architect 4.0

    Linux
    ~/.local/share/Sencha/Sencha Architect 4.0

  6. #6
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default

    Nothing change,

    1) deleted folder /Users/LucaFerrarese/Library/Application Support/Sencha/Sencha Architect 4.0
    2) start SA 4.1.2.188
    3) activation required... ok
    4) new project modern Extjs 6.2
    5) save project

    CMD theme package failed!

    Version: 4.1.2.188
    Channel: 4.1-stable
    Platform: 1.2.8.6 - darwin x64
    Renderer: 51.0.2704.106
    Cmd: 6.5.0.180
    Framework: Ext JS 6.2.x Modern

  7. #7
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default

    In this video i share the problem for a fast solution:

    https://vimeo.com/226164474


    Please, help me!

  8. #8
    Ext JS Premium Member
    Join Date
    Sep 2008
    Posts
    157

    Default

    workspace.json will help?


    {
    /**
    * An array of the paths to all the applications present in this workspace
    */
    "apps": [
    "_App/zapBox",
    "_App/CastelFerrarese",
    "_App/ZapGrid_installatore",
    "_App/zapBox_gold",
    "_App/TO/T12",
    "packages/local/theme-triton-28541686-11e4-43de-a0d3-7201a68dcb56/.sencha/temp/Themer"
    ],


    /**
    * An object containing key value pair framework descriptors.
    *
    * The value can be a string or an object containing at least one of "dir" or "pkg",
    * where "dir" can be a filesystem path to the framework sources and "pkg" can be a
    * package name. For example:
    *
    * "frameworks": {
    * "ext": "ext",
    * "ext-x": "/absolute/path/to/ext",
    * "ext-y": {
    * "source": "../relative/path/to/ext",
    * "path": "ext"
    * },
    * "ext-z": {
    * "package": "[email protected]",
    * "path": "ext-n.n.n"
    * },
    * "touch": "touch"
    * }
    *
    */
    "frameworks": {
    "ext621": {
    "path":"ext621",
    "version":"6.2.1.167"
    },
    "ext": {
    "path":"ext",
    "version":"6.2.1.167"
    }
    },


    /**
    * This is the folder for build outputs in the workspace.
    */
    "build": {
    "dir": "${workspace.dir}/build"
    },


    /**
    * These configs determine where packages are generated and extracted to (when downloaded).
    */
    "packages": {
    /**
    * This folder contains all local packages.
    * If a comma-separated string is used as value the first path will be used as the path to generate new packages.
    */
    "dir": "${workspace.dir}/packages/local,${workspace.dir}/packages",


    /**
    * This folder contains all extracted (remote) packages.
    */
    "extract": "${workspace.dir}/packages/remote"
    }
    }

Similar Threads

  1. Replies: 0
    Last Post: 17 Jul 2017, 5:24 AM
  2. [FIXED] Doc error/mistake theme
    By lbottoni in forum Sencha Documentation
    Replies: 3
    Last Post: 27 Jun 2016, 12:54 PM
  3. Doc error/mistake theme
    By lbottoni in forum Ext JS 6.x Q&A
    Replies: 1
    Last Post: 27 Jun 2016, 11:02 AM
  4. Getting error while creating theme using theme builder
    By subendu in forum Sencha GXT 3.1
    Replies: 5
    Last Post: 19 Jan 2015, 4:35 PM
  5. Replies: 2
    Last Post: 30 Jun 2014, 6:51 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •